import { EditionArgs } from "mfgames-writing-contracts";
/**
* Goes through the contents list of the publication and expands out any source
* patterns from the results, populating them into `args.contents`.
*/
export declare function appendContents(args: EditionArgs): Promise<EditionArgs>;
/**
* Loads information about the contents including parsing the files into memory
* and loading metadata into the contents.
*/
export declare function loadContents(args: EditionArgs): Promise<EditionArgs>;
/**
* Renders the various content for inclusion with the format.
*/
export declare function renderContents(args: EditionArgs): Promise<EditionArgs>;
